Get application VRP configuration by Application Id
curl --request GET \
--url https://api.yapily.com/applications/{applicationId}/vrp \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/applications/{applicationId}/vrp"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/applications/{applicationId}/vrp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"maximumIndividualAmount": {
"amount": 10,
"currency": "GBP"
},
"maximumCumulativeAmount": {
"amount": 10,
"currency": "GBP"
},
"maximumCumulativeNumberOfPayments": 1,
"periodicLimits": [
{
"maximumAmount": {
"amount": 10,
"currency": "GBP"
},
"frequency": "MONTHLY"
}
],
"recurringPaymentCategory": "ONGOING"
}{
"name-is-mandatory": {
"value": {
"errors": [
{
"fieldName": "name",
"error": "MANDATORY"
}
]
}
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": 10700,
"message": "Authorization header invalid or credentials not authenticated"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 403,
"status": "FORBIDDEN",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "Yapily.gateway.api.scope.required",
"message": "You don't have the right scope to access this resource"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 404,
"status": "NOT FOUND",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": 10800,
"message": "Resource not found"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 500,
"status": "INTERNAL SERVER ERROR",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INTERNAL_SERVER_ERROR",
"code": 11000,
"message": "Unexpected server error"
}
]
}
}Application Management
Get application VRP configuration by Application Id
Get application vrp configuration
Get application VRP configuration by Application Id
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
The id of the application that vrp configuration being created for
Response
Application vrp configuration was successfully fetched
Maximum amount per transaction
Show child attributes
Show child attributes
Maximum cumulative amount
Show child attributes
Show child attributes
Maximum cumulative number of payments
Required range:
x >= 0Minimum array length:
1Show child attributes
Show child attributes
Payment Category with allowed values: ONGOING, SUBSCRIPTION
Example:
"ONGOING"
Was this page helpful?
⌘I